# PDevicePluginFactory< AbstractClass, KeyType >::Worker Class Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginFactory< AbstractClass, KeyType >::Worker:

List of all members.

## Public Member Functions

| Worker (const KeyType &key, bool singleton=false)
| ~Worker ()

## Protected Member Functions

virtual AbstractClass * | Create (const KeyType &key) const

### template<class AbstractClass, typename KeyType = PString>
class PDevicePluginFactory< AbstractClass, KeyType >::Worker

## Constructor & Destructor Documentation

template<class AbstractClass, typename KeyType = PString>

PDevicePluginFactory< AbstractClass, KeyType >::Worker::Worker | ( | const KeyType & | key,
|  | bool | singleton = `false` |
| ) |  |  | `[inline]`

template<class AbstractClass, typename KeyType = PString>

PDevicePluginFactory< AbstractClass, KeyType >::Worker::~Worker | ( |  | ) | `[inline]`

## Member Function Documentation

template<class AbstractClass, typename KeyType = PString>

virtual AbstractClass* PDevicePluginFactory< AbstractClass, KeyType >::Worker::Create | ( | const KeyType & | key | ) | const`[protected, virtual]`

Reimplemented from PFactory< AbstractClass, KeyType >::WorkerBase.

The documentation for this class was generated from the following file:

- plugin.h